For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList Subkeys
        • POSTRegister Subkey
        • DELRevoke Subkey
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceSubkey

Revoke Subkey

DELETE
https://api.testnet.paradex.trade/v1/account/subkeys/:public_key
DELETE
/v1/account/subkeys/:public_key
$curl -X DELETE https://api.testnet.paradex.trade/v1/account/subkeys/public_key \
> -H "Authorization: <apiKey>"
1{
2 "public_key": "0xabcdef1234567890abcdef"
3}
Revoke a subkey for the authenticated account.
Was this page helpful?
Previous

List tokens

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

public_keystringRequired
Subkey public key

Response

Subkey revoked successfully
public_keystring
The public key of the revoked subkey

Errors

400
Bad Request Error
401
Unauthorized Error